# Class yii\httpclient\JsonFormatter

Inheritance | yii\httpclient\JsonFormatter » yii\base\BaseObject
Implements | yii\base\Configurable, yii\httpclient\FormatterInterface
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2-httpclient/blob/master/JsonFormatter.php

JsonFormatter formats HTTP message as JSON.

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$encodeOptions | integer | The encoding options. | yii\httpclient\JsonFormatter

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__call() | Calls the named method which is not a class method. | yii\base\BaseObject
__construct() | Constructor. | yii\base\BaseObject
__get() | Returns the value of an object property. | yii\base\BaseObject
__isset() | Checks if a property is set, i.e. defined and not null. | yii\base\BaseObject
__set() | Sets value of an object property. | yii\base\BaseObject
__unset() | Sets an object property to null. | yii\base\BaseObject
canGetProperty() | Returns a value indicating whether a property can be read. | yii\base\BaseObject
canSetProperty() | Returns a value indicating whether a property can be set. | yii\base\BaseObject
className() | Returns the fully qualified name of this class. | yii\base\BaseObject
format() | Formats given HTTP request message. | yii\httpclient\JsonFormatter
hasMethod() | Returns a value indicating whether a method is defined. | yii\base\BaseObject
hasProperty() | Returns a value indicating whether a property is defined. | yii\base\BaseObject
init() | Initializes the object. | yii\base\BaseObject

## Property Details

$encodeOptions public property

The encoding options. For more details please refer to http://www.php.net/manual/en/function.json-encode.php.

public integer $encodeOptions = 0

## Method Details

format() public method

Formats given HTTP request message.

public yii\httpclient\Request format ( yii\httpclient\Request $request )
$request | yii\httpclient\Request | HTTP request instance.
return | yii\httpclient\Request | Formatted request.